Installation de l'application Shadow sur Linux (17.10 & 18.04)

S’abonner

Dans un premier temps, considérons que votre système Ubuntu est en bonne santé et n'a pas reçu de modification système importante 

Avertissement : L'application Shadow actuelle n'est pas compatible avec les ordinateurs disposant d'une carte graphique NVIDIA.

De plus, assurez-vous que votre session utilise XWindow (X11) et non Wayland

Enfin, nous partons également du principe que vous êtes à l'aise sur une distribution Linux.

Téléchargement

Téléchargez l'application Shadow Alpha depuis votre espace client et suivez ces instructions.

Ubuntu 18.04

Téléchargez shadow-alpha-bionic.zip depuis votre espace client.

Ubuntu 17.10

Téléchargez shadow-alpha-artful.zip depuis votre espace client.

Installation depuis un terminal

sudo dpkg —unpack shadow-alpha-XXX.deb (XXX bionic|artful)
sudo apt-get -f install

Installation graphique

Double clique sur le paquet shadow-alpha-XXX.deb (XXX bionic|artful)

Lancement

Beta

./shadow-beta (or click on the desktop shadow icon)

Alpha

./shadow-alpha (or click on the desktop shadow icon)

Limitations connues

  • Pas d’accélération graphique matérielle avec les cartes NVIDIA
  • Pas de support de wayland.

Raccourcis de l'application.

Ctrl-G + Shift-G +:

  • G (Grab): Capturer/Libérer les commandes
  • F (Fullscreen): Mode plein écran/ Mode fenêtré 
  • Q(Quit): Ferme l'application

 

Utilisateurs qui ont trouvé cela utile : 1 sur 1

Commentaires

9 commentaires
  • J'ai suivi scrupuleusement la procédure:
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~$ sudo apt-get update && sudo apt-get upgrade
    [sudo] Mot de passe de eric777 :
    Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
    Atteint:2 http://archive.ubuntu.com/ubuntu bionic InRelease
    Atteint:3 http://repo.steampowered.com/steam precise InRelease
    Réception de:4 http://archive.canonical.com/ubuntu bionic InRelease [10,2 kB]
    Réception de:5 http://dl.google.com/linux/chrome/deb stable Release [1 189 B]
    Réception de:6 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
    Atteint:7 http://linux.teamviewer.com/deb stable InRelease
    Atteint:8 http://linux.teamviewer.com/deb preview InRelease
    Réception de:9 http://dl.google.com/linux/chrome/deb stable Release.gpg [819 B]
    Réception de:10 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
    Réception de:11 http://security.ubuntu.com/ubuntu bionic-security InRelease [83,2 kB]
    Ign:12 http://packages.linuxmint.com tara InRelease
    Réception de:13 http://packages.linuxmint.com tara Release [24,1 kB]
    Réception de:14 http://archive.canonical.com/ubuntu bionic/partner i386 Packages [2 304 B]
    Ign:15 http://linux.dropbox.com/ubuntu xenial InRelease
    Réception de:16 http://archive.canonical.com/ubuntu bionic/partner amd64 Packages [2 300 B]
    Atteint:17 http://linux.dropbox.com/ubuntu xenial Release
    Réception de:18 http://packages.linuxmint.com tara Release.gpg [819 B]
    Réception de:19 http://dl.google.com/linux/chrome/deb stable/main amd64 Packages [1 376 B]
    Réception de:20 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages [292 kB]
    Réception de:21 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages [328 kB]
    Réception de:22 http://archive.ubuntu.com/ubuntu bionic-updates/main Translation-en [125 kB]
    Réception de:23 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 DEP-11 Metadata [139 kB]
    Réception de:24 http://archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages [199 kB]
    Réception de:25 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages [199 kB]
    Réception de:26 http://archive.ubuntu.com/ubuntu bionic-updates/universe Translation-en [94,1 kB]
    Réception de:27 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 DEP-11 Metadata [166 kB]
    Réception de:28 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 DEP-11 Metadata [2 468 B]
    Réception de:29 http://archive.ubuntu.com/ubuntu bionic-backports/universe amd64 Packages [2 852 B]
    Réception de:30 http://archive.ubuntu.com/ubuntu bionic-backports/universe i386 Packages [2 848 B]
    Réception de:31 http://archive.ubuntu.com/ubuntu bionic-backports/universe Translation-en [1 200 B]
    Réception de:32 http://archive.ubuntu.com/ubuntu bionic-backports/universe amd64 DEP-11 Metadata [5 104 B]
    Réception de:34 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages [134 kB]
    Réception de:35 http://packages.linuxmint.com tara/main amd64 Packages [13,5 kB]
    Réception de:36 http://packages.linuxmint.com tara/main i386 Packages [12,9 kB]
    Réception de:37 http://packages.linuxmint.com tara/import amd64 Packages [3 655 B]
    Réception de:38 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages [168 kB]
    Réception de:39 http://security.ubuntu.com/ubuntu bionic-security/main Translation-en [63,6 kB]
    Réception de:40 http://security.ubuntu.com/ubuntu bionic-security/main amd64 DEP-11 Metadata [204 B]
    Réception de:41 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 DEP-11 Metadata [6 820 B]
    2 248 ko réceptionnés en 1s (1 729 ko/s)
    Lecture des listes de paquets... Fait
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances
    Lecture des informations d'état... Fait
    Calcul de la mise à jour... Fait
    Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
    linux-headers-4.15.0-32 linux-headers-4.15.0-32-generic
    linux-image-4.15.0-32-generic linux-modules-4.15.0-32-generic
    linux-modules-extra-4.15.0-32-generic
    Veuillez utiliser « sudo apt autoremove » pour les supprimer.
    Les paquets suivants seront mis à jour :
    bind9-host dnsutils fonts-liberation fonts-liberation2 libbind9-160
    libdns-export1100 libdns1100 libegl1 libgl1 libgl1:i386 libgles2 libglvnd0
    libglvnd0:i386 libglx0 libglx0:i386 libirs160 libisc-export169 libisc169
    libisccc160 libisccfg160 liblcms2-2 liblcms2-utils liblwres160 libpython3.6
    libpython3.6-minimal libpython3.6-stdlib mint-themes python3.6
    python3.6-minimal
    29 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
    Il est nécessaire de prendre 11,8 Mo dans les archives.
    Après cette opération, 27,6 ko d'espace disque seront libérés.
    Souhaitez-vous continuer ? [O/n]
    Réception de:1 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3.6 amd64 3.6.6-1~18.04 [1 420 kB]
    Réception de:2 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3.6-minimal amd64 3.6.6-1~18.04 [532 kB]
    Réception de:3 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3.6-stdlib amd64 3.6.6-1~18.04 [1 713 kB]
    Réception de:4 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3.6-minimal amd64 3.6.6-1~18.04 [1 617 kB]
    Réception de:5 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3.6 amd64 3.6.6-1~18.04 [190 kB]
    Réception de:6 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 fonts-liberation all 1:1.07.4-7~18.04.1 [822 kB]
    Réception de:7 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 liblcms2-2 amd64 2.9-1ubuntu0.1 [139 kB]
    Réception de:8 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 libgl1 i386 1.0.0-2ubuntu2.2 [79,5 kB]
    Réception de:9 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgl1 amd64 1.0.0-2ubuntu2.2 [84,8 kB]
    Réception de:10 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglx0 amd64 1.0.0-2ubuntu2.2 [28,1 kB]
    Réception de:11 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 libglx0 i386 1.0.0-2ubuntu2.2 [29,6 kB]
    Réception de:12 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgles2 amd64 1.0.0-2ubuntu2.2 [17,4 kB]
    Réception de:13 http://packages.linuxmint.com tara/main amd64 mint-themes all 1.7.3 [1 071 kB]
    Réception de:14 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 libglvnd0 i386 1.0.0-2ubuntu2.2 [42,4 kB]
    Réception de:15 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglvnd0 amd64 1.0.0-2ubuntu2.2 [46,6 kB]
    Réception de:16 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libegl1 amd64 1.0.0-2ubuntu2.2 [31,9 kB]
    Réception de:17 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libisc-export169 amd64 1:9.11.3+dfsg-1ubuntu1.2 [163 kB]
    Réception de:18 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdns-export1100 amd64 1:9.11.3+dfsg-1ubuntu1.2 [748 kB]
    Réception de:19 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libirs160 amd64 1:9.11.3+dfsg-1ubuntu1.2 [19,1 kB]
    Réception de:20 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 bind9-host amd64 1:9.11.3+dfsg-1ubuntu1.2 [53,5 kB]
    Réception de:21 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 dnsutils amd64 1:9.11.3+dfsg-1ubuntu1.2 [145 kB]
    Réception de:22 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libbind9-160 amd64 1:9.11.3+dfsg-1ubuntu1.2 [27,6 kB]
    Réception de:23 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libisccfg160 amd64 1:9.11.3+dfsg-1ubuntu1.2 [48,3 kB]
    Réception de:24 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libisccc160 amd64 1:9.11.3+dfsg-1ubuntu1.2 [17,9 kB]
    Réception de:25 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdns1100 amd64 1:9.11.3+dfsg-1ubuntu1.2 [966 kB]
    Réception de:26 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libisc169 amd64 1:9.11.3+dfsg-1ubuntu1.2 [237 kB]
    Réception de:27 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 liblwres160 amd64 1:9.11.3+dfsg-1ubuntu1.2 [34,5 kB]
    Réception de:28 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 fonts-liberation2 all 2.00.1-7~18.04.1 [1 453 kB]
    Réception de:29 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 liblcms2-utils amd64 2.9-1ubuntu0.1 [41,9 kB]
    11,8 Mo réceptionnés en 1s (15,1 Mo/s)
    (Lecture de la base de données... 394115 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../libpython3.6_3.6.6-1~18.04_amd64.deb ...
    Dépaquetage de libpython3.6:amd64 (3.6.6-1~18.04) sur (3.6.5-3) ...
    Préparation du dépaquetage de .../libpython3.6-minimal_3.6.6-1~18.04_amd64.deb ...
    Dépaquetage de libpython3.6-minimal:amd64 (3.6.6-1~18.04) sur (3.6.5-3) ...
    Paramétrage de libpython3.6-minimal:amd64 (3.6.6-1~18.04) ...
    (Lecture de la base de données... 394115 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../libpython3.6-stdlib_3.6.6-1~18.04_amd64.deb ...
    Dépaquetage de libpython3.6-stdlib:amd64 (3.6.6-1~18.04) sur (3.6.5-3) ...
    Paramétrage de libpython3.6-stdlib:amd64 (3.6.6-1~18.04) ...
    (Lecture de la base de données... 394115 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../python3.6-minimal_3.6.6-1~18.04_amd64.deb ...
    Dépaquetage de python3.6-minimal (3.6.6-1~18.04) sur (3.6.5-3) ...
    Paramétrage de python3.6-minimal (3.6.6-1~18.04) ...
    (Lecture de la base de données... 394116 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../python3.6_3.6.6-1~18.04_amd64.deb ...
    Dépaquetage de python3.6 (3.6.6-1~18.04) sur (3.6.5-3) ...
    Paramétrage de python3.6 (3.6.6-1~18.04) ...
    (Lecture de la base de données... 394116 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../fonts-liberation_1%3a1.07.4-7~18.04.1_all.deb ...
    Dépaquetage de fonts-liberation (1:1.07.4-7~18.04.1) sur (1:1.07.4-5) ...
    Paramétrage de fonts-liberation (1:1.07.4-7~18.04.1) ...
    (Lecture de la base de données... 394116 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../liblcms2-2_2.9-1ubuntu0.1_amd64.deb ...
    Dépaquetage de liblcms2-2:amd64 (2.9-1ubuntu0.1) sur (2.9-1) ...
    Paramétrage de liblcms2-2:amd64 (2.9-1ubuntu0.1) ...
    (Lecture de la base de données... 394116 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../0-libgl1_1.0.0-2ubuntu2.2_amd64.deb ...
    Déconfiguration de libgl1:i386 (1.0.0-2ubuntu2.1) ...
    Dépaquetage de libgl1:amd64 (1.0.0-2ubuntu2.2) sur (1.0.0-2ubuntu2.1) ...
    Préparation du dépaquetage de .../1-libgl1_1.0.0-2ubuntu2.2_i386.deb ...
    Dépaquetage de libgl1:i386 (1.0.0-2ubuntu2.2) sur (1.0.0-2ubuntu2.1) ...
    Préparation du dépaquetage de .../2-libglx0_1.0.0-2ubuntu2.2_i386.deb ...
    Déconfiguration de libglx0:amd64 (1.0.0-2ubuntu2.1) ...
    Dépaquetage de libglx0:i386 (1.0.0-2ubuntu2.2) sur (1.0.0-2ubuntu2.1) ...
    Préparation du dépaquetage de .../3-libglx0_1.0.0-2ubuntu2.2_amd64.deb ...
    Dépaquetage de libglx0:amd64 (1.0.0-2ubuntu2.2) sur (1.0.0-2ubuntu2.1) ...
    Préparation du dépaquetage de .../4-libgles2_1.0.0-2ubuntu2.2_amd64.deb ...
    Dépaquetage de libgles2:amd64 (1.0.0-2ubuntu2.2) sur (1.0.0-2ubuntu2.1) ...
    Préparation du dépaquetage de .../5-libglvnd0_1.0.0-2ubuntu2.2_amd64.deb ...
    Déconfiguration de libglvnd0:i386 (1.0.0-2ubuntu2.1) ...
    Dépaquetage de libglvnd0:amd64 (1.0.0-2ubuntu2.2) sur (1.0.0-2ubuntu2.1) ...
    Préparation du dépaquetage de .../6-libglvnd0_1.0.0-2ubuntu2.2_i386.deb ...
    Dépaquetage de libglvnd0:i386 (1.0.0-2ubuntu2.2) sur (1.0.0-2ubuntu2.1) ...
    Préparation du dépaquetage de .../7-libegl1_1.0.0-2ubuntu2.2_amd64.deb ...
    Dépaquetage de libegl1:amd64 (1.0.0-2ubuntu2.2) sur (1.0.0-2ubuntu2.1) ...
    Paramétrage de libglvnd0:amd64 (1.0.0-2ubuntu2.2) ...
    Paramétrage de libglvnd0:i386 (1.0.0-2ubuntu2.2) ...
    Paramétrage de libegl1:amd64 (1.0.0-2ubuntu2.2) ...
    (Lecture de la base de données... 394116 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../00-libisc-export169_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de libisc-export169:amd64 (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../01-libdns-export1100_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de libdns-export1100 (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../02-libirs160_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de libirs160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../03-bind9-host_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de bind9-host (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../04-dnsutils_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de dnsutils (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../05-libbind9-160_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de libbind9-160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../06-libisccfg160_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de libisccfg160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../07-libisccc160_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de libisccc160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../08-libdns1100_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de libdns1100:amd64 (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../09-libisc169_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de libisc169:amd64 (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../10-liblwres160_1%3a9.11.3+dfsg-1ubuntu1.2_amd64.deb ...
    Dépaquetage de liblwres160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) sur (1:9.11.3+dfsg-1ubuntu1.1) ...
    Préparation du dépaquetage de .../11-fonts-liberation2_2.00.1-7~18.04.1_all.deb ...
    Dépaquetage de fonts-liberation2 (2.00.1-7~18.04.1) sur (2.00.1-5) ...
    Préparation du dépaquetage de .../12-liblcms2-utils_2.9-1ubuntu0.1_amd64.deb ...
    Dépaquetage de liblcms2-utils (2.9-1ubuntu0.1) sur (2.9-1) ...
    Préparation du dépaquetage de .../13-mint-themes_1.7.3_all.deb ...
    Dépaquetage de mint-themes (1.7.3) sur (1.7.2) ...
    Paramétrage de libisc169:amd64 (1:9.11.3+dfsg-1ubuntu1.2) ...
    Paramétrage de libisccc160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) ...
    Traitement des actions différées (« triggers ») pour mime-support (3.60ubuntu1) ...
    Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23+linuxmint3) ...
    Paramétrage de libisc-export169:amd64 (1:9.11.3+dfsg-1ubuntu1.2) ...
    Paramétrage de fonts-liberation2 (2.00.1-7~18.04.1) ...
    Paramétrage de mint-themes (1.7.3) ...
    Traitement des actions différées (« triggers ») pour libc-bin (2.27-3ubuntu1) ...
    Paramétrage de libdns-export1100 (1:9.11.3+dfsg-1ubuntu1.2) ...
    Paramétrage de libgles2:amd64 (1.0.0-2ubuntu2.2) ...
    Traitement des actions différées (« triggers ») pour man-db (2.8.3-2) ...
    Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-11ubuntu1.1) ...
    Paramétrage de libdns1100:amd64 (1:9.11.3+dfsg-1ubuntu1.2) ...
    Paramétrage de libglx0:amd64 (1.0.0-2ubuntu2.2) ...
    Paramétrage de libglx0:i386 (1.0.0-2ubuntu2.2) ...
    Paramétrage de liblwres160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) ...
    Traitement des actions différées (« triggers ») pour fontconfig (2.12.6-0ubuntu2) ...
    Paramétrage de libpython3.6:amd64 (3.6.6-1~18.04) ...
    Paramétrage de liblcms2-utils (2.9-1ubuntu0.1) ...
    Paramétrage de libisccfg160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) ...
    Paramétrage de libgl1:amd64 (1.0.0-2ubuntu2.2) ...
    Paramétrage de libgl1:i386 (1.0.0-2ubuntu2.2) ...
    Paramétrage de libirs160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) ...
    Paramétrage de libbind9-160:amd64 (1:9.11.3+dfsg-1ubuntu1.2) ...
    Paramétrage de bind9-host (1:9.11.3+dfsg-1ubuntu1.2) ...
    Paramétrage de dnsutils (1:9.11.3+dfsg-1ubuntu1.2) ...
    Traitement des actions différées (« triggers ») pour libc-bin (2.27-3ubuntu1) ...
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~$ sudo apt autoremove
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances
    Lecture des informations d'état... Fait
    Les paquets suivants seront ENLEVÉS :
    linux-headers-4.15.0-32 linux-headers-4.15.0-32-generic linux-image-4.15.0-32-generic linux-modules-4.15.0-32-generic
    linux-modules-extra-4.15.0-32-generic
    0 mis à jour, 0 nouvellement installés, 5 à enlever et 0 non mis à jour.
    Après cette opération, 335 Mo d'espace disque seront libérés.
    Souhaitez-vous continuer ? [O/n]
    (Lecture de la base de données... 394115 fichiers et répertoires déjà installés.)
    Suppression de linux-headers-4.15.0-32-generic (4.15.0-32.35) ...
    Suppression de linux-headers-4.15.0-32 (4.15.0-32.35) ...
    Suppression de linux-modules-extra-4.15.0-32-generic (4.15.0-32.35) ...
    Suppression de linux-image-4.15.0-32-generic (4.15.0-32.35) ...
    /etc/kernel/postrm.d/initramfs-tools:
    update-initramfs: Deleting /boot/initrd.img-4.15.0-32-generic
    /etc/kernel/postrm.d/zz-update-grub:
    Création du fichier de configuration GRUB…
    Image Linux trouvée : /boot/vmlinuz-4.15.0-34-generic
    Image mémoire initiale trouvée : /boot/initrd.img-4.15.0-34-generic
    Image Linux trouvée : /boot/vmlinuz-4.15.0-33-generic
    Image mémoire initiale trouvée : /boot/initrd.img-4.15.0-33-generic
    Image Linux trouvée : /boot/vmlinuz-4.15.0-24-generic
    Image mémoire initiale trouvée : /boot/initrd.img-4.15.0-24-generic
    Image Linux trouvée : /boot/vmlinuz-4.15.0-20-generic
    Image mémoire initiale trouvée : /boot/initrd.img-4.15.0-20-generic
    Found memtest86+ image: /boot/memtest86+.elf
    Found memtest86+ image: /boot/memtest86+.bin
    unknown Linux distribution trouvé sur /dev/sda18
    unknown Linux distribution trouvé sur /dev/sda20
    Ubuntu 16.04.4 LTS (16.04) trouvé sur /dev/sda29
    fait
    Suppression de linux-modules-4.15.0-32-generic (4.15.0-32.35) ...
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~$ sudo apt install vainfo libcurl4
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances
    Lecture des informations d'état... Fait
    vainfo est déjà la version la plus récente (2.1.0+ds1-1).
    libcurl4 est déjà la version la plus récente (7.58.0-2ubuntu3.3).
    0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~$ sudo adduser eric777 input
    L'utilisateur « eric777 » appartient déjà au groupe « input ».
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~$ cd Téléchargements/
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~/Téléchargements$ chmod +x shadowbeta.deb
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~/Téléchargements$ sudo dpkg --unpack shadowbeta.deb
    (Lecture de la base de données... 358509 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de shadowbeta.deb ...
    Dépaquetage de shadow-beta (0.7.6) sur (0.7.6) ...
    Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-11ubuntu1.1) ...
    Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23+linuxmint3) ...
    Traitement des actions différées (« triggers ») pour mime-support (3.60ubuntu1) ...
    Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~/Téléchargements$ sudo apt-get install -f
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances
    Lecture des informations d'état... Fait
    0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
    1 partiellement installés ou enlevés.
    Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
    Paramétrage de shadow-beta (0.7.6) ...
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~/Téléchargements$ sudo chmod 777 /dev/input/event*
    eric777@eric777-ZBOX-ID92-ZBOX-IQ01:~/Téléchargements$

  • Mais cela ne fonctionne pas :
    https://goopics.net/a/byoGfk2R

  • Meme si je relance le shadow.

  • Bonjour,

    j'ai exactement le même problème.
    Voici les logs dans /var/syslog :

    Sep 30 13:30:40 jonathan-pc shadow-beta.desktop[1252]: (node:9398) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 2): Error: kill ESRCH
    Sep 30 13:30:46 jonathan-pc kernel: [12526.758025] ClientSDL[9932]: segfault at 0 ip 000055b370779dea sp 00007ffe112fecc0 error 4 in ClientSDL[55b370478000+5b5000]
    Sep 30 13:30:46 jonathan-pc org.gnome.Shell.desktop[1252]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x3400001 (Shadow)
    Sep 30 13:30:49 jonathan-pc gnome-shell[1252]: Object St.Widget (0x55e6c4714eb0), has been already deallocated - impossible to access to it. This might be caused by the fact that the object has been destroyed from C code using something such as destroy(), dispose(), or remove() vfuncs
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: == Stack trace for context 0x55e6c1d6c340 ==
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #0 0x55e6c2131798 i resource:///org/gnome/shell/ui/modalDialog.js:93 (0x7f9cd76f1450 @ 22)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #1 0x7fffeb4a15b0 b resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f9cd76b5de0 @ 71)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #2 0x55e6c21316e0 i resource:///org/gnome/gjs/modules/_legacy.js:39 (0x7f9cd76b5b38 @ 215)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #3 0x55e6c2131650 i resource:///org/gnome/shell/ui/status/network.js:782 (0x7f9cd5e19cd0 @ 409)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #4 0x7fffeb4a3090 b resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f9cd76b5de0 @ 71)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #5 0x55e6c21315c8 i resource:///org/gnome/shell/ui/modalDialog.js:168 (0x7f9cd76f19a0 @ 92)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #6 0x55e6c2131520 i resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f9cd76b5de0 @ 71)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #7 0x55e6c2131460 i self-hosted:914 (0x7f9cd76f1230 @ 346)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #8 0x55e6c21313c0 i resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f9cd76d2b38 @ 54)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #9 0x55e6c21312a0 i resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f9cd76d2bc0 @ 1626)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #10 0x55e6c2131210 i resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f9cd76d2c48 @ 100)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #11 0x55e6c2131198 i resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f9cd76d2cd0 @ 10)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #12 0x55e6c21310c8 i resource:///org/gnome/gjs/modules/signals.js:128 (0x7f9cd76d2230 @ 386)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #13 0x55e6c2131038 i resource:///org/gnome/shell/ui/tweener.js:244 (0x7f9cd76cf808 @ 159)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #14 0x55e6c2130f90 i resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f9cd76b5de0 @ 71)
    Sep 30 13:30:49 jonathan-pc org.gnome.Shell.desktop[1252]: #15 0x55e6c2130f10 i resource:///org/gnome/shell/ui/tweener.js:219 (0x7f9cd76cf780 @ 15)
    Sep 30 13:30:57 jonathan-pc shadow-beta.desktop[1252]: (node:9398) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 3): Error: kill ESRCH
    Sep 30 13:31:03 jonathan-pc kernel: [12543.469396] ClientSDL[9956]: segfault at 0 ip 00005600aaabbdea sp 00007ffc11f53d00 error 4 in ClientSDL[5600aa7ba000+5b5000]
    Sep 30 13:31:03 jonathan-pc org.gnome.Shell.desktop[1252]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x3400001 (Shadow)
    Sep 30 13:31:45 jonathan-pc shadow-beta.desktop[1252]: (node:9398) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 4): Error: kill ESRCH
    Sep 30 13:31:51 jonathan-pc kernel: [12591.533356] ClientSDL[10002]: segfault at 0 ip 0000563abc809dea sp 00007fff58fbf280 error 4 in ClientSDL[563abc508000+5b5000]
    Sep 30 13:31:51 jonathan-pc org.gnome.Shell.desktop[1252]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x3400001 (Shadow)
    Sep 30 13:33:24 jonathan-pc shadow-beta.desktop[1252]: (node:9398) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 5): Error: kill ESRCH
    Sep 30 13:33:29 jonathan-pc kernel: [12690.124086] ClientSDL[10104]: segfault at 0 ip 00005649ba2a4dea sp 00007fff37fd6380 error 4 in ClientSDL[5649b9fa3000+5b5000]
    Sep 30 13:33:29 jonathan-pc org.gnome.Shell.desktop[1252]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x3400001 (Shadow)

  • Je viens de payer les 45 euros pour essayer un mois ce client linux. J'ai bien suivi le tuto. Marche pas. Exactement comme les autres commentaires de ce post.
    Qu'est ce qui se passe ?

    Ce client linux j'aimerai bien le voir tourner ; je n'ai pas réussi à trouver ni d'article ni de vidéo youtube le montrant fonctionner ......

  • Perso j'ai fais le deuil de l'application Linux LOL

  • Souvenez-vous que c'est une Bêta les gars, l'application Linux est loin d'être finie. Il y a une nouvelle version qui devrait arriver dans les prochaines semaines, ils l'ont annoncé au Shadow News.

    Sinon allez jeter un oeil au GitHub :
    https://nicolasguilloux.github.io/blade-shadow-beta/

  • Bonjour,

    S'inscrire sur le discord français de Shadow : https://discord.gg/shadowtech

    Envoyer un Message Privé à un Admin avec une capture d'écran de son compte client Shadow. Ainsi vous pourrez poster sur le Discord.

    Demander de l'aide sur le Channel #linux-beta. Je remercie @Nover qui m'a bien aidé.

    J'utilise un PC portable Thinkpad x230 avec Carte graphique: Intel HD Graphics 4000 et Linux Mint 19.0

    Pour moi, en raison de l'utilisation de Intel HD Graphics 4000, il fallait que j'installe les drivers i965 pour VA API avec la commande :

    sudo apt install i965-va-driver

    Et du coup le client officiel que j'avais téléchargé sur le site de Shadow PC marchait.

    A savoir :

    Pour Linux Mint il faut la version 19.0 ; la version 18.3 ne marcherait pas.
    Pour ma configuration je ne pourrai pas utiliser le H265 avec ma Carte graphique: Intel HD Graphics 4000
    Si tu as un carte graphique Nvidia tu auras des problèmes, ça ne marchera pas semblerait-il (passe par ton intel graphic si tu en as un)

    Il existe un client plus performant que le client officiel, un client fait par la communauté.
    Cette APIImage comporte toutes les librairies et elle comporte un wrapper pour aider à démarrer le Shadow. https://nicolasguilloux.github.io/blade-shadow-beta/

    Si le client officiel est déjà installé, on commence par le désinstaller :
    sudo apt remove shadow-beta

    Puis on installe par ligne de commande dans le terminal le client de la communauté en copiant collant d'un coup ces lignes :

    mkdir -p ~/.local/share/Shadow\ Beta
    cd ~/.local/share/Shadow\ Beta/
    wget --content-disposition https://gitlab.com/aar642/shadow-appimage/-/jobs/artifacts/1.9.7/download?job=app_build
    unzip shadowbeta-linux-x86_64.AppImage-1.9.7.zip
    rm shadowbeta-linux-x86_64.AppImage-1.9.7.zip
    chmod +x shadowbeta-linux-x86_64.AppImage

    Pour lancer le client Shadow, dans le terminal je lance la commande :
    ~/.local/share/Shadow\ Beta/shadowbeta-linux-x86_64.AppImage

    Pour moi cela marche. J'ai juste un petit soucis à me créer un raccourcis, c'est tout.

    Dans les options "Autoband" ne marche pas chez moi.

    BON A SAVOIR :

    * lshift-rctrl-esc: exit
    * lshift-rctrl-space: switch fullscreen
    * lshift-rctrl-o: control panel (options)
    * lshift-rctrl-g: toggle input grab
    * lshift-rctrl-h: toggle Shadow Mode

  • @Eric Duveau

    Ton problème semble simplement être lié à l'état du Shadow en lui-même, contacte le Support pour qu'ils essaient de fixer le problème de lancement.

    Comme l'a dit Delirium c'est une beta et vous pouvez tout à fait suivre le conseil de @SL pour aller demander de l'aide su rle channel #linux-beta.
    La diversité des pc et leurs composant font que cela va marche mieux chez uns que chez d'autres. En assumant que vous suivez bien les étapes.

Veuillez vous connecter pour laisser un commentaire.